package com.example.navigatefromactivity;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends Activity {
		private final int REQUEST_CODE	= 0;
		private int initValue			= 1;
		private TextView txtResult		= null;
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        txtResult	= (TextView)findViewById(R.id.idTxtResult);
    	txtResult.setText("" + initValue); //""+ altrimenti si aspetta un id di una risorsa
        
        Button btnGoToSecond = (Button)findViewById(R.id.idButton);
        btnGoToSecond.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				Intent intent = new Intent(MainActivity.this, SecondActivity.class);
				intent.putExtra("com.example.navigatefromactivity.PARAMETER", initValue);
				startActivityForResult(intent, REQUEST_CODE);
			}
		});
        
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }


	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		super.onActivityResult(requestCode, resultCode, data);

		if (requestCode == REQUEST_CODE) {
            if (resultCode == RESULT_OK) {
            	int result = data.getIntExtra("com.example.navigatefromactivity.PARAMETER_RESULT", -1);
            	txtResult.setText("" + result);
            }
		}
	}
    
}
